<!--
  -  Copyright 2020 Huawei Technologies Co., Ltd.
  -
  -  Licensed under the Apache License, Version 2.0 (the "License");
  -  you may not use this file except in compliance with the License.
  -  You may obtain a copy of the License at
  -
  -      http://www.apache.org/licenses/LICENSE-2.0
  -
  -  Unless required by applicable law or agreed to in writing, software
  -  distributed under the License is distributed on an "AS IS" BASIS,
  -  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -  See the License for the specific language governing permissions and
  -  limitations under the License.
  -->

<template>
  <div class="homeback">
    <div class="userList">
      <el-row :gutter="12">
        <el-col
          :span="6"
          class="cardStyle"
        >
          <el-card shadow="hover">
            <div class="headerDiv">
              <label>
                MEC Developer
              </label>
            </div>
            <div class="bodyDiv">
              <img
                src="../assets/images/mecdeveloper.png"
                class="cardIcon"
              >
              <p>MEC Developer provide developers with convenient development plug-ins to help developers develop and test apps faster.</p>
            </div>
            <div class="footerDiv">
              <a
                :href="cardData.mecDeveloperLink"
                target="blank"
                class="myButton"
              >Begin Experience</a>
            </div>
          </el-card>
        </el-col>
        <el-col
          :span="6"
          class="cardStyle"
        >
          <el-card shadow="hover">
            <div class="headerDiv">
              <label>
                MEC AppStore
              </label>
            </div>
            <div class="bodyDiv">
              <img
                src="../assets/images/mecapp.png"
                class="cardIcon"
              >
              <p>MEC App provide user to get the application for the different types of usage in the bettery ways.</p>
            </div>
            <div class="footerDiv">
              <a
                :href="cardData.mecAppLink"
                target="blank"
                class="myButton"
              >Begin Experience</a>
            </div>
          </el-card>
        </el-col>
        <el-col
          :span="6"
          class="cardStyle"
        >
          <el-card shadow="hover">
            <div class="headerDiv">
              <label>
                MEC Manager
              </label>
            </div>
            <div class="bodyDiv">
              <img
                src="../assets/images/mecmanager.png"
                class="cardIcon"
              >
              <p>MEC Manager manages all the features and application and provide better facilities to user.</p>
            </div>
            <div class="footerDiv">
              <a
                :href="cardData.mecManagerLink"
                target="blank"
                class="myButton"
              >Begin Experience</a>
            </div>
          </el-card>
        </el-col>
      </el-row>
    </div>
  </div>
</template>

<script>
import { BASE_URL } from '../tools/constant.js'
import axios from 'axios'
export default {
  name: 'GuestHome',
  components: {
  },
  data () {
    return {
      cardData: {
        mecAppLink: '',
        mecManagerLink: '',
        mecDeveloperLink: ''
      }
    }
  },
  beforeMount () {
    this.getLinks()
  },
  computed: {
  },
  methods: {
    getLinks () {
      let url = BASE_URL + '/getGuestConfiguration'
      axios({
        method: 'GET',
        url: url,
        headers: {
          'Content-Type': 'application/json'
        }
      }).then(res => {
        this.cardData = res.data
      }, error => {
        if (error) {
          this.$parent.errorMessage(this.$t(error.response.data))
        }
      })
    }
  }
}
</script>

<style lang='less' scoped>
.homeback {
    background-image: url("../assets/images/home.png");
    width: 100vw;
    height: 100vh;
    background-size: 100% 100%;
    background-repeat: no-repeat;
    position: relative;
    cursor: pointer;
    overflow: hidden;
}
.userList {
    margin: 10% 10%;
    height: 100%;
}
.headerDiv {
    text-align: center;
    font-weight: bold;
    font-size: 25px;
    margin-top: 10%
}
.cardStyle {
    margin-left: 5%
}
.bodyDiv {
    text-align: center;
}
.cardIcon {
    height: 200px;
    width: 200px;
    margin: 50px 0px 30px 0px;
}
.footerDiv {
    text-align: center;
}
.cardButton {
    width:300px;
    margin: 30px 0px 0px 0px;
    border-radius: 0px;
    cursor: pointer !important;
}

.myButton {
    box-shadow: 1px 2px 10px 4px #1564ad;
    background:linear-gradient(to bottom, #79bbff 5%, #378de5 100%);
    background-color:#79bbff;
    border-radius:2px;
    border:1px solid #337bc4;
    display:inline-block;
    cursor:pointer;
    color:#ffffff;
    font-family:Arial;
    font-size:17px;
    font-weight:bold;
    padding:11px 76px;
    text-decoration:none;
    text-shadow:-2px -1px 19px #528ecc;
    margin-top:40px;
}
.myButton:hover {
    background:linear-gradient(to bottom, #378de5 5%, #79bbff 100%);
    background-color:#378de5;
}
.myButton:active {
    position:relative;
    top:1px;
}
</style>
